com.microfocus.awm.meta.interfaces.validation

## Interface ToolDescriptorValidator

-     public interface ToolDescriptorValidator

  A sample validator interface for `ToolDescriptor`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate()`
    `boolean` | `validateAfterJobAction(ActionDescriptor value)`
    `boolean` | `validateHelpText(java.lang.String value)`
    `boolean` | `validateID(java.lang.String value)`
    `boolean` | `validateInParmSeparator(java.lang.String value)`
    `boolean` | `validateInputParm(org.eclipse.emf.common.util.EList<RToolInParameter> value)`
    `boolean` | `validateIntegratedTool(EIntegratedTools value)`
    `boolean` | `validateISAISPFPanel(ISAISPFPanel value)`
    `boolean` | `validateISAISPFPanelCommand(ISAPanelCommand value)`
    `boolean` | `validateISAISPFTool(ISAISPFTool value)`
    `boolean` | `validateISAPlugIn(ISAPlugIn value)`
    `boolean` | `validateOutParmSeparator(java.lang.String value)`
    `boolean` | `validateOutputParm(org.eclipse.emf.common.util.EList<RToolOutParameter> value)`
    `boolean` | `validateRefreshResource(boolean value)`
    `boolean` | `validateResourceProcessing(EResourceProcessingTypes value)`
    `boolean` | `validateRunAsJob(ERunAsJobTypes value)`
    `boolean` | `validateSpecificAttribute(org.eclipse.emf.common.util.EList<SpecificAttribute> value)`
    `boolean` | `validateToolType(java.lang.String value)`
    `boolean` | `validateValidateAction(org.eclipse.emf.common.util.EList<RToolValidateAction> value)`

- - ### Method Detail

    - #### validate

          boolean validate()

    - #### validateInputParm

          boolean validateInputParm(org.eclipse.emf.common.util.EList<RToolInParameter> value)

    - #### validateOutputParm

          boolean validateOutputParm(org.eclipse.emf.common.util.EList<RToolOutParameter> value)

    - #### validateSpecificAttribute

          boolean validateSpecificAttribute(org.eclipse.emf.common.util.EList<SpecificAttribute> value)

    - #### validateValidateAction

          boolean validateValidateAction(org.eclipse.emf.common.util.EList<RToolValidateAction> value)

    - #### validateISAPlugIn

          boolean validateISAPlugIn(ISAPlugIn value)

    - #### validateISAISPFPanel

          boolean validateISAISPFPanel(ISAISPFPanel value)

    - #### validateISAISPFPanelCommand

          boolean validateISAISPFPanelCommand(ISAPanelCommand value)

    - #### validateISAISPFTool

          boolean validateISAISPFTool(ISAISPFTool value)

    - #### validateAfterJobAction

          boolean validateAfterJobAction(ActionDescriptor value)

    - #### validateHelpText

          boolean validateHelpText(java.lang.String value)

    - #### validateInParmSeparator

          boolean validateInParmSeparator(java.lang.String value)

    - #### validateID

          boolean validateID(java.lang.String value)

    - #### validateIntegratedTool

          boolean validateIntegratedTool(EIntegratedTools value)

    - #### validateOutParmSeparator

          boolean validateOutParmSeparator(java.lang.String value)

    - #### validateRefreshResource

          boolean validateRefreshResource(boolean value)

    - #### validateResourceProcessing

          boolean validateResourceProcessing(EResourceProcessingTypes value)

    - #### validateRunAsJob

          boolean validateRunAsJob(ERunAsJobTypes value)

    - #### validateToolType

          boolean validateToolType(java.lang.String value)

Copyright © 2015 Micro Focus GmbH. All rights reserved.